package com.example.iot_controlhost.model.thread;

import com.example.iot_controlhost.base.BaseQueue;

/**
 * 任务队列-IO任务
 */
public class QueueIOTask extends BaseQueue {
    /**
     * 任务内容
     */
    private Runnable task;

    public QueueIOTask(Runnable task) {
        this(3,task);
    }

    public QueueIOTask(int priority, Runnable task) {
        super(priority);
        this.task = task;
    }

    @Override
    public void run() {
        task.run();
    }

}
